<template>
    <div class="p-3 bg-gray-100 md:h-screen flex flex-col pt-16">
        <nav class="block flex items-center m-3 absolute top-0 left-0 right-0 px-3 py-2 bg-purple-800 rounded shadow-lg z-30">
            <nuxt-link no-prefetch to="/" class="text-white">
                <span class="font-semibold text-xl tracking-tight">
                    <fa class="mr-1" icon="space-shuttle" />
                    <span class="hidden sm:inline-block">Tasty Time</span>
                </span>
            </nuxt-link>
            <div class="flex ml-6 hidden md:inline-block" v-if="$auth.loggedIn">
                <nuxt-link no-prefetch to="/" class="text-purple-100 hover:text-white hover:bg-purple-700 p-2 px-3 rounded cursor-pointer">
                    Übersicht
                </nuxt-link>
                <!--
                <nuxt-link to="" class="text-purple-100 hover:text-white hover:bg-purple-700 p-2 px-3 rounded cursor-pointer">
                    Board
                </nuxt-link>
                <nuxt-link to="" class="text-purple-100 hover:text-white hover:bg-purple-700 p-2 px-3 rounded cursor-pointer">
                    Team
                </nuxt-link>
                -->
            </div>
            <div class="ml-auto flex">
                <span v-if="$auth.loggedIn" @click="$auth.logout()" class="text-purple-100 hover:text-white hover:bg-purple-700 p-2 px-3 rounded cursor-pointer">
                    <fa icon="lock" />
                    <span class="hidden sm:inline-block ml-2">
                        Logout
                        ({{ $auth.user.firstname }} {{ $auth.user.lastname }})
                    </span>
                </span>
                <nuxt-link v-if="!$auth.loggedIn" no-prefetch to="/login" class="text-purple-100 hover:text-white hover:bg-purple-700 p-2 px-3 rounded cursor-pointer">
                    <fa class="mr-2" icon="lock-open" />
                    Login
                </nuxt-link>
            </div>
        </nav>

        <nuxt />
    </div>
</template>
